function []=demo_online(varargin)

if ~isdeployed
    addpath(genpath('src'))
end
% Get example image
f = im2double(imread('input_0.jpg'));
% Jump penalty (larger choice -> less segments)
% Perform affine-linear image partitioning
[u,partition,a,b,c] = affineLinearPartitioning(f,varargin{:});
% u: piecewise affine-linear approximation of f
% partition: corresponding partition
% a,b,c: slopes and offset (in matrix origin) of the first order
% polynomials in each pixel

% Show results
mask = boundarymask(partition);
partition_img = labeloverlay(u,mask,'Transparency',0,'Colormap',[ 0 0 0]);

imwrite(u,'approx.png');
imwrite(label2rgb(partition,'jet'),'partition.png');
imwrite(partition_img,'edges.png');
end